Name:           rate-mirrors
Version:        0.20.0
Release:        1%{?dist}
Summary:        Everyday-use client-side map-aware mirror ranking tool

License:        CC-BY-NC-SA-3.0
URL:            https://github.com/westandskif/rate-mirrors
Source0:        https://github.com/westandskif/rate-mirrors/archive/refs/tags/v%{version}.tar.gz

BuildRequires:  cargo
BuildRequires:  rust
Requires:       libgcc

ExclusiveArch:  x86_64 aarch64

%description
rate-mirrors is a simple and practical client-side utility for evaluating and ranking mirrors based on location and performance.

%prep
%autosetup -n %{name}-%{version}

%build
# Use stable Rust or fallback to rust-toolchain defined
export RUSTUP_TOOLCHAIN=stable
export CARGO_HOME=%{_builddir}/cargo_home
cargo build --release --locked

%install
install -D -m0755 target/release/rate_mirrors %{buildroot}%{_bindir}/rate-mirrors
install -D -m0644 LICENSE %{buildroot}%{_licensedir}/%{name}/LICENSE

%files
%license %{_licensedir}/%{name}/LICENSE
%{_bindir}/rate-mirrors

%changelog
* Mon Jul 07 2025 20:08 Little Owl <littleowl@athenaos.org>
- Synced with upstream
